import i18n from '../lang' // internationalization

// 匹配异常code对应message
export function errorCodeMsg(code) {
  var msg = ''
  if (code === 401) msg = i18n.t('table.slyCode')
  if (code === 402) msg = i18n.t('table.sleCode')
  if (code === 600) msg = i18n.t('table.lllCode')
  if (code === 601) msg = i18n.t('table.llyCode')
  if (code === 602) msg = i18n.t('table.lleCode')
  if (code === 603) msg = i18n.t('table.llsCode')
  if (code === 604) msg = i18n.t('table.llssCode')
  if (code === 610) msg = i18n.t('table.lylCode')
  if (code === 611) msg = i18n.t('table.lyyCode')
  if (code === 620) msg = i18n.t('table.lelCode')
  if (code === 621) msg = i18n.t('table.leyCode')
  if (code === 622) msg = i18n.t('table.leeCode')
  if (code === 623) msg = i18n.t('table.lesCode')
  if (code === 624) msg = i18n.t('table.lessCode')
  if (code === 625) msg = i18n.t('table.lewCode')
  if (code === 630) msg = i18n.t('table.lslCode')
  if (code === 631) msg = i18n.t('table.lsyCode')
  if (code === 640) msg = i18n.t('table.lsslCode')
  if (code === 641) msg = i18n.t('table.lssyCode')
  if (code === 642) msg = i18n.t('table.lsseCode')
  if (code === 643) msg = i18n.t('table.lssCode')
  if (code === 644) msg = i18n.t('table.lsssCode')
  return msg
}
